%global forgeurl    https://gitlab.com/eclipseo/forgeng-rpm-macros
Version:            0.1.1

%forgemeta

Name:           forgeng-rpm-macros
Release:        %autorelease
Summary:        Macros to simplify packaging of forge-hosted projects

License:        GPL-1.0-or-later
URL:            %{forgeurl}
Source:         %{forgesource}

BuildArch:      noarch

Requires:       forgeng-srpm-macros = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       redhat-rpm-config >= 293

%description
%{summary}.

%package     -n forgeng-srpm-macros
Summary:        Macros to simplify packaging of forge-hosted projects
License:        GPL-1.0-or-later

Requires:       redhat-rpm-config >= 293

%description -n forgeng-srpm-macros
%{summary}.

This package contains SRPM macros.

# %%package     -n forgeng-rpm-templates
# Summary:         RPM spec templates for forge-hosted projects
# License:         MIT

# %%description -n forgeng-rpm-templates
# This package contains documented rpm spec templates showcasing how to use the
# macros provided by forgeng-rpm-macros to simplify packaging of forge-hosted
# projects.

%prep
%forgeautosetup -p1
# for template in templates/rpm/*\.spec ; do
#   target=$(echo "${template}" | sed "s|^\(.*\)\.spec$|\1-bare.spec|g")
#   grep -v '^#' "${template}" > "${target}"
#   touch -r "${template}" "${target}"
# done

%install
install -m 0755 -vd   %{buildroot}%{_rpmluadir}/fedora/rpm
install -m 0644 -vp   rpm/lua/fedora/rpm/*lua \
                      %{buildroot}%{_rpmluadir}/fedora/rpm

install -m 0755 -vd   %{buildroot}%{_rpmluadir}/fedora/srpm
install -m 0644 -vp   rpm/lua/fedora/srpm/*lua \
                      %{buildroot}%{_rpmluadir}/fedora/srpm

install -m 0755 -vd   %{buildroot}%{rpmmacrodir}
install -m 0644 -vp   rpm/macros.d/macros.forgeng-*rpm* \
                      %{buildroot}%{rpmmacrodir}

# install -m 0755 -vd   %%{buildroot}%%{_spectemplatedir}
# install -m 0644 -vp   templates/rpm/*spec \
#                       %%{buildroot}%%{_spectemplatedir}

%files
%license LICENSE.txt
%doc README.md
%{_rpmmacrodir}/macros.forgeng-rpm*
%{_rpmluadir}/fedora/rpm/*.lua

%files -n forgeng-srpm-macros
%license LICENSE.txt
%doc README.md
%{_rpmmacrodir}/macros.forgeng-srpm*
%{_rpmluadir}/fedora/srpm/*.lua

# %%files -n forgeng-rpm-templates
# %%license LICENSE-templates.txt
# %%doc README.md
# %%doc NEWS.md
# %%dir %%{dirname:%%{_spectemplatedir}}
# %%dir %%{_spectemplatedir}
# %%{_spectemplatedir}/*.spec

%changelog
%autochangelog
